## unzip 5.52-11

=== unix/Makefile ===
#==============================================================================
# Makefile for UnZip, UnZipSFX and fUnZip:  Unix and MS-DOS ("real" makes only)
# Version:  5.52                                                    04 Feb 2005
#==============================================================================


# INSTRUCTIONS (such as they are):
#
# "make sunos"	-- makes UnZip in current directory on a generic SunOS 4.x Sun
# "make list"	-- lists all supported systems (targets)
# "make help"	-- provides pointers on what targets to try if problems occur
# "make wombat" -- chokes and dies if you haven't added the specifics for your
#		    Wombat 68000 (or whatever) to the systems list
#
# CF are flags for the C compiler.  LF are flags for the loader.  LF2 are more
# flags for the loader, if they need to be at the end of the line instead of at
# the beginning (for example, some libraries).  FL and FL2 are the corre-
# sponding flags for fUnZip.  LOCAL_UNZIP is an environment variable that can
# be used to add default C flags to your compile without editing the Makefile
# (e.g., -DDEBUG_STRUC, or -FPi87 on PCs using Microsoft C).
#
# Some versions of make do not define the macro "$(MAKE)"; this is rare, but
# if things don't work, try using "make" instead of "$(MAKE)" in your system's
# makerule.  Or try adding the following line to your .login file:
#	setenv MAKE "make"
# (That never works--makes that are too stupid to define MAKE are also too
# stupid to look in the environment--but try it anyway for kicks. :-) )
#
# Memcpy and memset are provided for those systems that don't have them; they
# are in fileio.c and will be used if -DZMEM is included in CF.  These days
# almost all systems have them.
#
# Be sure to test your new UnZip (and UnZipSFX and fUnZip); successful compila-
# tion does not always imply a working program.


#####################
# MACRO DEFINITIONS #
#####################

# Defaults most systems use (use LOCAL_UNZIP in environment to add flags,
# such as -DDOSWILD).

# UnZip flags
CC = cc#	try using "gcc" target rather than changing this (CC and LD
LD = $(CC)#	must match, else "unresolved symbol:  ___main" is possible)
AS = as
LOC = $(LOCAL_UNZIP)
AF = $(LOC)
CF = -O -I. -DUNIX $(LOC)
LF = -o unzip
LF2 = -s

# UnZipSFX flags
SL = -o unzipsfx
SL2 = $(LF2)

# fUnZip flags
FL = -o funzip
FL2 = $(LF2)

# general-purpose stuff
#CP = cp
CP = ln
LN = ln
RM = rm -f
CHMOD = chmod
BINPERMS = 755
MANPERMS = 644
STRIP = strip
E =
O = .o
M = unix
SHELL = /bin/sh

# Version info for unix/unix.c
HOST_VERSINFO=-DIZ_CC_NAME='\"\$$(CC) \"' -DIZ_OS_NAME='\"`uname -a`\"'

# defaults for crc32 stuff and system dependent headers
CRC32 = crc32
OSDEP_H =

# object files
OBJS1 = unzip$O $(CRC32)$O crctab$O crypt$O envargs$O explode$O
OBJS2 = extract$O fileio$O globals$O inflate$O list$O match$O
OBJS3 = process$O ttyio$O unreduce$O unshrink$O zipinfo$O
OBJS = $(OBJS1) $(OBJS2) $(OBJS3) $M$O
LOBJS = $(OBJS)
OBJSDLL = $(OBJS:.o=.pic.o) api.pic.o
OBJX = unzipsfx$O $(CRC32)$O crctab_$O crypt_$O extract_$O fileio_$O \
	globals_$O inflate_$O match_$O process_$O ttyio_$O $M_$O
LOBJX = $(OBJX)
OBJF = funzip$O $(CRC32)$O cryptf$O globalsf$O inflatef$O ttyiof$O
#OBJS_OS2 = $(OBJS1:.o=.obj) $(OBJS2:.o=.obj) os2.obj
#OBJF_OS2 = $(OBJF:.o=.obj)
UNZIP_H = unzip.h unzpriv.h globals.h $(OSDEP_H)

# installation
# (probably can change next two to `install' and `install -d' if you have it)
INSTALL = cp
INSTALL_PROGRAM = $(INSTALL)
INSTALL_D = mkdir -p
# on some systems, manext=l and MANDIR=/usr/man/man$(manext) may be appropriate
manext = 1
prefix = /usr/local
BINDIR = $(prefix)/bin#			where to install executables
MANDIR = $(prefix)/man/man$(manext)#	where to install man pages
INSTALLEDBIN = $(BINDIR)/funzip$E $(BINDIR)/unzip$E $(BINDIR)/unzipsfx$E \
	$(BINDIR)/zipgrep$E $(BINDIR)/zipinfo$E
INSTALLEDMAN = $(MANDIR)/funzip.$(manext) $(MANDIR)/unzip.$(manext) \
	$(MANDIR)/unzipsfx.$(manext) $(MANDIR)/zipgrep.$(manext) \
	$(MANDIR)/zipinfo.$(manext)

# Solaris 2.x stuff:
PKGDIR = IZunzip
VERSION = Version 5.52

UNZIPS = unzip$E funzip$E unzipsfx$E
# this is a little ugly...well, OK, it's a lot ugly:
MANS = man/funzip.1 man/unzip.1 man/unzipsfx.1 man/zipgrep.1 man/zipinfo.1
DOCS = funzip.txt unzip.txt unzipsfx.txt zipgrep.txt zipinfo.txt

# list of supported systems/targets in this version
SYSTEMSG = generic generic2 generic3 generic_zlib generic_shlib
SYSTEMS1 = 386i 3Bx 7300 7300_gcc aix aix_rt amdahl amdahl_eft apollo aviion
SYSTEMS2 = bsd bsdi bsdi_noasm bull coherent convex cray cray_opt cyber_sgi
SYSTEMS3 = cygwin dec dnix encore eta freebsd gcc gould hk68 hp hpux
SYSTEMS4 = isc isc_gcc isi linux linux_dos linux_noasm linux_shlib linux_shlibz
SYSTEMS5 = lynx macosx macosx_gcc minix mips mpeix next next10 next2x next3x
SYSTEMS6 = nextfat osf1 pixel ptx pyramid qnxnto realix regulus rs6000 sco
SYSTEMS7 = sco_dos sco_sl sco_x286 sequent sgi solaris solaris_pkg stardent
SYSTEMS8 = stellar sunos3 sunos4 sysv sysv_gcc sysv6300 tahoe ti_sysv ultrix
SYSTEMS9 = vax v7 wombat xenix xos


####################
# DEFAULT HANDLING #
####################

# By default, print help on which makefile targets to try.  (The SYSTEM
# variable is no longer supported; use "make <target>" instead.)

help:
	@echo ""
	@echo\
 "  If you're not sure about the characteristics of your system, try typing"
	@echo\
 '  "make generic".  If the compiler barfs and says something unpleasant about'
	@echo\
 '  "timezone redefined," try typing "make clean" followed by "make generic2".'
	@echo\
 '  If, on the other hand, it complains about an undefined symbol _ftime, try'
	@echo\
 '  typing "make clean" followed by "make generic3".  One of these actions'
	@echo\
 '  should produce a working copy of unzip on most Unix systems.  If you know'
	@echo\
 '  a bit more about the machine on which you work, you might try "make list"'
	@echo\
 '  for a list of the specific systems supported herein.  (Many of them do'
	@echo\
 "  exactly the same thing, so don't agonize too much over which to pick if"
	@echo\
 '  two or more sound equally likely.)  Also check out the INSTALL file for'
	@echo\
 '  notes on compiling various targets.  As a last resort, feel free to read'
	@echo\
 '  the numerous comments within the Makefile itself.'
	@echo\
 '  Have a mostly pretty good day.'
	@echo ""

list:
	@echo ""
	@echo\
 'Type "make <system>", where <system> is one of the following:'
	@echo ""
	@echo  "	$(SYSTEMSG)"
	@echo ""
	@echo  "	$(SYSTEMS1)"
	@echo  "	$(SYSTEMS2)"
	@echo  "	$(SYSTEMS3)"
	@echo  "	$(SYSTEMS4)"
	@echo  "	$(SYSTEMS5)"
	@echo  "	$(SYSTEMS6)"
	@echo  "	$(SYSTEMS7)"
	@echo  "	$(SYSTEMS8)"
	@echo  "	$(SYSTEMS9)"
#	@echo ""
#	@echo\
# 'Targets for related utilities (ZipInfo and fUnZip) include:'
#	@echo ""
#	@echo  "	$(SYS_UTIL1)"
#	@echo  "	$(SYS_UTIL2)"
	@echo ""
	@echo\
 'For further (very useful) information, please read the comments in Makefile.'
	@echo ""

generic_msg:
	@echo ""
	@echo\
 '  Attempting "make generic" now.  If this fails for some reason, type'
	@echo\
 '  "make help" and/or "make list" for suggestions.'
	@echo ""


###############################################
# BASIC COMPILE INSTRUCTIONS AND DEPENDENCIES #
###############################################

# this is for GNU make; comment out and notify zip-bugs if it causes errors
.SUFFIXES:	.c .o .obj .pic.o

# yes, we should be able to use the $O macro to combine these two, but it
# fails on some brain-damaged makes (e.g., AIX's)...no big deal
.c.o:
	$(CC) -c $(CF) $*.c

.c.obj:
	$(CC) -c $(CF) $*.c

.c.pic.o:
	$(CC) -c $(CF) -o $@ $*.c

# this doesn't work...directories are always a pain with implicit rules
#.1.txt:		man/$<
#	nroff -Tman -man $< | col -b | uniq | \
#	 sed 's/Sun Release ..../Info-ZIP        /' > $@


# these rules may be specific to Linux (or at least the GNU groff package)
# and are really intended only for the authors' use in creating non-Unix
# documentation files (which are provided with both source and binary
# distributions).  We should probably add a ".1.txt" rule for more generic
# systems...

funzip.txt:	man/funzip.1
	nroff -Tascii -man man/funzip.1 | col -b | uniq | expand > $@

unzip.txt:	man/unzip.1
	nroff -Tascii -man man/unzip.1 | col -b | uniq | expand > $@

unzipsfx.txt:	man/unzipsfx.1
	nroff -Tascii -man man/unzipsfx.1 | col -b | uniq | expand > $@

zipgrep.txt:	man/zipgrep.1
	nroff -Tascii -man man/zipgrep.1 | col -b | uniq | expand > $@

zipinfo.txt:	man/zipinfo.1
	nroff -Tascii -man man/zipinfo.1 | col -b | uniq | expand > $@


all:		generic_msg generic
unzips:		$(UNZIPS)
objs:		$(OBJS)
objsdll:	$(OBJSDLL)
docs:		$(DOCS)
unzipsman:	unzips docs
unzipsdocs:	unzips docs


# EDIT HERE FOR PARALLEL MAKES on Sequent (and others?)--screws up MS-DOS
# make utilities if default:  change "unzip$E:" to "unzip$E:&"

unzip$E:	$(OBJS)			# add `&' for parallel makes
	$(LD) $(LF) $(LOBJS) $(LF2)

unzipsfx$E:	$(OBJX)			# add `&' for parallel makes
	$(LD) $(SL) $(LOBJX) $(SL2)

funzip$E:	$(OBJF)			# add `&' for parallel makes
	$(LD) $(FL) $(OBJF) $(FL2)

zipinfo$E:	unzip$E			# `&' is pointless here...
	@echo\
 '  This is a Unix-specific target.  ZipInfo is not enabled in some MS-DOS'
	@echo\
 '  versions of UnZip; if it is in yours, copy unzip.exe to zipinfo.exe'
	@echo\
 '  or else invoke as "unzip -Z" (in a batch file, for example).'
	$(LN) unzip$E zipinfo$E


crc32$O:	crc32.c $(UNZIP_H) zip.h
crctab$O:	crctab.c $(UNZIP_H) zip.h
crypt$O:	crypt.c $(UNZIP_H) zip.h crypt.h ttyio.h
envargs$O:	envargs.c $(UNZIP_H)
explode$O:	explode.c $(UNZIP_H)
extract$O:	extract.c $(UNZIP_H) crypt.h
fileio$O:	fileio.c $(UNZIP_H) crypt.h ttyio.h ebcdic.h
funzip$O:	funzip.c $(UNZIP_H) crypt.h ttyio.h tables.h
globals$O:	globals.c $(UNZIP_H)
inflate$O:	inflate.c inflate.h $(UNZIP_H)
list$O:		list.c $(UNZIP_H)
match$O:	match.c $(UNZIP_H)
process$O:	process.c $(UNZIP_H)
ttyio$O:	ttyio.c $(UNZIP_H) zip.h crypt.h ttyio.h
unreduce$O:	unreduce.c $(UNZIP_H)
unshrink$O:	unshrink.c $(UNZIP_H)
unzip$O:	unzip.c $(UNZIP_H) crypt.h unzvers.h consts.h
zipinfo$O:	zipinfo.c $(UNZIP_H)

unzipsfx$O:	unzip.c $(UNZIP_H) crypt.h unzvers.h consts.h	# unzipsfx only
	-$(CP) unzip.c unzipsfx.c
	$(CC) -c $(CF) -DSFX unzipsfx.c
	$(RM) unzipsfx.c

crctab_$O:	crctab.c $(UNZIP_H) zip.h
	-$(CP) crctab.c crctab_.c
	$(CC) -c $(CF) -DSFX crctab_.c
	$(RM) crctab_.c

crypt_$O:	crypt.c $(UNZIP_H) zip.h crypt.h ttyio.h	# unzipsfx only
	-$(CP) crypt.c crypt_.c
	$(CC) -c $(CF) -DSFX crypt_.c
	$(RM) crypt_.c

extract_$O:	extract.c $(UNZIP_H) crypt.h			# unzipsfx only
	-$(CP) extract.c extract_.c
	$(CC) -c $(CF) -DSFX extract_.c
	$(RM) extract_.c

fileio_$O:	fileio.c $(UNZIP_H) crypt.h ttyio.h ebcdic.h
	-$(CP) fileio.c fileio_.c
	$(CC) -c $(CF) -DSFX fileio_.c
	$(RM) fileio_.c

globals_$O:	globals.c $(UNZIP_H)				# unzipsfx only
	-$(CP) globals.c globals_.c
	$(CC) -c $(CF) -DSFX globals_.c
	$(RM) globals_.c

inflate_$O:	inflate.c inflate.h $(UNZIP_H) crypt.h		# unzipsfx only
	-$(CP) inflate.c inflate_.c
	$(CC) -c $(CF) -DSFX inflate_.c
	$(RM) inflate_.c

match_$O:	match.c $(UNZIP_H)				# unzipsfx only
	-$(CP) match.c match_.c
	$(CC) -c $(CF) -DSFX match_.c
	$(RM) match_.c

process_$O:	process.c $(UNZIP_H)				# unzipsfx only
	-$(CP) process.c process_.c
	$(CC) -c $(CF) -DSFX process_.c
	$(RM) process_.c

ttyio_$O:	ttyio.c $(UNZIP_H) zip.h crypt.h ttyio.h	# unzipsfx only
	-$(CP) ttyio.c ttyio_.c
	$(CC) -c $(CF) -DSFX ttyio_.c
	$(RM) ttyio_.c


cryptf$O:	crypt.c $(UNZIP_H) zip.h crypt.h ttyio.h	# funzip only
	-$(CP) crypt.c cryptf.c
	$(CC) -c $(CF) -DFUNZIP cryptf.c
	$(RM) cryptf.c

globalsf$O:	globals.c $(UNZIP_H)				# funzip only
	-$(CP) globals.c globalsf.c
	$(CC) -c $(CF) -DFUNZIP globalsf.c
	$(RM) globalsf.c

inflatef$O:	inflate.c inflate.h $(UNZIP_H) crypt.h		# funzip only
	-$(CP) inflate.c inflatef.c
	$(CC) -c $(CF) -DFUNZIP inflatef.c
	$(RM) inflatef.c

ttyiof$O:	ttyio.c $(UNZIP_H) zip.h crypt.h ttyio.h	# funzip only
	-$(CP) ttyio.c ttyiof.c
	$(CC) -c $(CF) -DFUNZIP ttyiof.c
	$(RM) ttyiof.c

## unzip 5.52-10

=== debian/changelog ===
unzip (5.52-10) unstable; urgency=low

  * Add link to zipinfo from unzip

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sun, 29 Oct 2006 20:50:24 +0200

unzip (5.52-9) unstable; urgency=low

  * Package for Maemo

 -- Daniel Martin Yerga <dyerga@gmail.com>  Wed, 2 Aug 2006 11:50:24 +0200

unzip (5.52-8) unstable; urgency=low

  * Modified unix/unxcfg.h to always #include <unistd.h>.
    This should now work on GNU/kFreeBSD (Closes: #340693).

 -- Santiago Vila <sanvila@debian.org>  Tue, 25 Apr 2006 19:50:24 +0200

unzip (5.52-7) unstable; urgency=medium

  * Fixed buffer overflow when insanely long filenames are given on the
    command line. Patch from Johnny Lee. Changed some format strings so
    that they use 512 characters at most. The "right" fix will be in 5.53,
    but this should work well enough for now. Closes: #349794.
  * This is CVE-2005-4667.

 -- Santiago Vila <sanvila@debian.org>  Thu, 16 Mar 2006 10:31:20 +0100

unzip (5.52-6) unstable; urgency=medium

  * Symlinks should work again (Closes: #343680). Fix provided by
    Christian Spieler. Thanks to Carl W. Hoffman for the report.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Dec 2005 19:18:32 +0100

unzip (5.52-5) unstable; urgency=low

  * Fixed CAN-2005-2475 the same way it will be fixed in unzip 5.53.
    Patch extracted from a prerelease provided by upstream.
  * Changed unzip banner line to reflect the fact that this is
    a "modified" release. Debian-derived distributions should probably
    do the same if they deviate from the Debian version.

 -- Santiago Vila <sanvila@debian.org>  Thu, 17 Nov 2005 16:34:24 +0100

unzip (5.52-4) unstable; urgency=medium

  * Fixed toctou vulnerability (Closes: #321927). Modified unix/unix.c
    to use fchmod() and fchown() instead of chmod() and chown() to change
    permissions and ownerships on the files actually created by unzip.
    Patch from Dan Yefimov. CAN-2005-2475.

 -- Santiago Vila <sanvila@debian.org>  Wed,  9 Nov 2005 18:05:02 +0100

unzip (5.52-3) unstable; urgency=low

  * Put manpages in section 1, not 1L.
  * Fixed more typos (Closes: #309885).

 -- Santiago Vila <sanvila@debian.org>  Wed, 25 May 2005 16:09:02 +0200

unzip (5.52-2) unstable; urgency=low

  * Fixed typos in manpage (Closes: #301915).

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Apr 2005 19:27:02 +0200

unzip (5.52-1) unstable; urgency=low

  * New upstream release.
  * Enabled new -W option via WILD_STOP_AT_DIR macro.
  * Macro USE_UNSHRINK is no longer defined, as it's now the default.

 -- Santiago Vila <sanvila@debian.org>  Tue,  1 Mar 2005 15:33:54 +0100

unzip (5.51-2) unstable; urgency=low

  * Added unshrinking support (Closes: #252563).

 -- Santiago Vila <sanvila@debian.org>  Sun,  6 Jun 2004 17:57:46 +0200

unzip (5.51-1) unstable; urgency=low

  * New upstream release, improves error message when a zipfile is not
    readable (Closes: #139331).
  * Added a newline character to the CannotOpenZipfile string for the
    previous fix to be really complete.

 -- Santiago Vila <sanvila@debian.org>  Tue, 25 May 2004 14:38:26 +0200

unzip (5.50-4) unstable; urgency=low

  * Changed __GNU__ to __GLIBC__ in unix/unxcfg.h to support glibc-based
    systems not being GNU itself, like GNU/KFreeBSD and GNU/KNetBSD.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Nov 2003 14:45:28 +0100

unzip (5.50-3) unstable; urgency=high

  * Fixed "unzip directory traversal revisited" again (Bug #206439).
    There was still a missing case that the previous patch didn't catch.
    Patch borrowed from unzip-5.50-33.src.rpm.
  * For reference, this is (still) CAN-2003-0282.

 -- Santiago Vila <sanvila@debian.org>  Wed, 20 Aug 2003 23:00:42 +0200

unzip (5.50-2) unstable; urgency=high

  * Fixed "unzip directory traversal revisited" problem (Bug #199648).
    A filename containing ".somenonprintablechar." will not unpack
    into .. anymore. Patch borrowed from unzip-5.50-11.src.rpm.
  * For reference, this is CAN-2003-0282.
  * No more doc symlinks.

 -- Santiago Vila <sanvila@debian.org>  Mon,  7 Jul 2003 20:25:20 +0200

unzip (5.50-1) unstable; urgency=low

  * New upstream release.
  * Moved from non-US/main to main. Section: utils.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Mar 2002 15:54:12 +0100

unzip (5.42-3) unstable; urgency=low

  * Added support for DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Nov 2001 16:25:00 +0100

unzip (5.42-2) unstable; urgency=low

  * Applied a patch from Marcus Brinkmann:
  - Closes: #99699: unzip does not build on the Hurd.
  - Modified debian/rules to support cross-compilation.

 -- Santiago Vila <sanvila@debian.org>  Wed,  6 Jun 2001 16:40:14 +0200

unzip (5.42-1) unstable; urgency=low

  * New upstream release.
  * Changed to Section: non-US.
  * Removed "packaged for Debian" from extended description.

 -- Santiago Vila <sanvila@debian.org>  Thu, 10 May 2001 16:47:41 +0200

unzip (5.41-1) unstable; urgency=low

  * New upstream release, featuring a new BSD-like license and built-in
    encryption support. Moved to non-US/main.
  * Copyright file now generated from LICENSE file.
  * Versioned Conflicts and Replaces.
  * Standards-Version: 3.1.1

 -- Santiago Vila <sanvila@debian.org>  Fri, 18 Aug 2000 19:03:59 +0200

unzip (5.40-1) unstable; urgency=low

  * New upstream release.
  * Removed `email-from-greg'.
  * Fixed URL location in copyright file.
  * Enabled -F option, as suggested by James Aylett.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 22 Oct 1999 10:30:49 +0200

unzip (5.32-1) unstable; urgency=low

  * New upstream release, using pristine source.

 -- Santiago Vila <sanvila@ctv.es>  Tue,  4 Nov 1997 14:19:20 +0100

unzip (5.31-2) unstable; urgency=low

  * Removed debstd dependency.

 -- Santiago Vila <sanvila@ctv.es>  Fri, 17 Oct 1997 17:22:22 +0200

unzip (5.31-1) unstable; urgency=low

  * `copyright' file is generated from COPYING automatically.
  * Distribution unstable, Section non-free.


=== debian/control ===
Source: unzip
Section: user/utils
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Standards-Version: 3.6.1

Package: unzip
Architecture: i386
Depends: ${shlibs:Depends}
Conflicts: unzip-crypt (<< 5.41)
Replaces: unzip-crypt (<< 5.41)
Suggests: zip
Description: De-archiver for .zip files
 InfoZIP's unzip program. With the exception of multi-volume archives
 (ie, .ZIP files that are split across several disks using PKZIP's /& option),
 this can handle any file produced either by PKZIP, or the corresponding
 InfoZIP zip program.

=== debian/rules ===
#!/usr/bin/make -f

package = unzip
docdir = debian/tmp/usr/share/doc/$(package)
history = History.552
dirbin = debian/tmp/usr/bin

CC = gcc
CFLAGS = -g -Wall
DEFINES = -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR
INSTALL_PROGRAM = install

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

build:
	$(checkdir)
	$(MAKE) -f unix/Makefile LF2="" \
		CC="$(CC)" CF="$(CFLAGS) -I. $(DEFINES)" unzips
	touch build

clean:
	$(checkdir)
	rm -f build
	-$(MAKE) -f unix/Makefile clean
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	mkdir $(dirbin)
	cp unzip $(dirbin)/
	chmod 755 debian/tmp/usr/bin/*
	ln -s /usr/bin/unzip debian/tmp/usr/bin/zipinfo;
	cat debian/copyright.in LICENSE > $(docdir)/copyright
	dpkg-shlibdeps unzip
	dpkg-gencontrol -isp
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R root:root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## unzip 5.52-11

=== debian/changelog ===
unzip (5.52-11) unstable; urgency=low

  * Add desktop integration
  * Add -qqql option (which just displays the file paths, nothing else)

 -- Danny Milosavljevic <danny.milo@scratchpost.org>  Sun, 28 Jan 2007 19:07:29 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 3.6.1
 
 Package: unzip
-Architecture: i386
+Architecture: armel i386
 Depends: ${shlibs:Depends}
 Conflicts: unzip-crypt (<< 5.41)
 Replaces: unzip-crypt (<< 5.41)

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 	$(checkdir)
 	$(MAKE) -f unix/Makefile LF2="" \
 		CC="$(CC)" CF="$(CFLAGS) -I. $(DEFINES)" unzips
+	$(MAKE) -f unix/Makefile LF2="" \
+		CC="$(CC)" CF="$(CFLAGS) -I. $(DEFINES)" batch-unzip
 	touch build
 
 clean:
@@ -32,22 +34,49 @@
 binary-indep: checkroot build
 	$(checkdir)
 
-binary-arch: checkroot build
-	$(checkdir)
-	rm -rf debian/tmp
-	install -d debian/tmp/DEBIAN $(docdir)
-	mkdir $(dirbin)
-	cp unzip $(dirbin)/
-	chmod 755 debian/tmp/usr/bin/*
-	ln -s /usr/bin/unzip debian/tmp/usr/bin/zipinfo;
-	cat debian/copyright.in LICENSE > $(docdir)/copyright
-	dpkg-shlibdeps unzip
-	dpkg-gencontrol -isp
-	cd debian/tmp && \
-		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
-	chown -R root:root debian/tmp
-	chmod -R go=rX debian/tmp
-	dpkg --build debian/tmp ..
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	#$(MAKE) install DESTDIR=$(CURDIR)/debian/unzip
+	dh_install unzip usr/bin/
+	dh_install debian/unzip.png usr/share/pixmaps
+	dh_install debian/unzip.desktop usr/share/applications/hildon/
+	dh_install debian/unzip.service usr/share/dbus-1/services/
+	dh_install batch-unzip usr/bin/
+	dh_install zipinfo usr/bin/
+	dh_install debian/zip.xml usr/share/mime/packages/
+
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs readme
+	dh_installdocs
+#	dh_installexamples
+#	dh_install
+	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+#	dh_link
+#	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_perl
+#	dh_python
+#	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
 
 define checkdir
 	test -f $(package).c -a -f debian/rules

## unzip 5.52-13

=== debian/changelog ===
unzip (5.52-13) unstable; urgency=low

  * Change section in debian/control file.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Tue, 19 Feb 2008 14:30:24 +0100

unzip (5.52-12) unstable; urgency=low

  * Maemo Chinook version

 -- Daniel Martin Yerga <dyerga@gmail.com>  Tue, 19 Feb 2008 11:50:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: unzip
-Section: user/utils
+Section: user/tools
 Priority: optional
 Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
 Standards-Version: 3.6.1

## unzip 5.52-14-maemo2

=== debian/changelog ===
unzip (5.52-14-maemo2) unstable; urgency=low

  * Error uploading to the autobuilder.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Mon, 16 Jun 2008 18:42:24 +0200

unzip (5.52-14-maemo1) unstable; urgency=low

  * Added build-dep for the chinook autobuilder.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Mon, 16 Jun 2008 18:30:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: user/tools
 Priority: optional
 Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
+Build-Depends: libgtk2.0-dev, libhildon1-dev, libosso-dev
 Standards-Version: 3.6.1
 
 Package: unzip

=== debian/rules ===
--- 
+++ 
@@ -42,17 +42,17 @@
 
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/unzip
 	dh_install unzip usr/bin/
+	dh_install zipinfo usr/bin/
 	dh_install debian/unzip.png usr/share/pixmaps
 	dh_install debian/unzip.desktop usr/share/applications/hildon/
 	dh_install debian/unzip.service usr/share/dbus-1/services/
 	dh_install batch-unzip usr/bin/
-	dh_install zipinfo usr/bin/
 	dh_install debian/zip.xml usr/share/mime/packages/
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs readme
+	dh_installchangelogs README
 	dh_installdocs
 #	dh_installexamples
 #	dh_install
@@ -66,7 +66,7 @@
 #	dh_installcron
 #	dh_installinfo
 #	dh_link
-#	dh_strip
+	dh_strip
 	dh_compress
 	dh_fixperms
 #	dh_perl

## unzip 5.52-14-maemo3

=== debian/changelog ===
unzip (5.52-14-maemo3) diablo; urgency=low

  * All-new packaging, with new bells and whistles
  * batch-unzip has been split into its own separate package.
    Now it's called unzip-fm (unzip filemanager integration)
  * Removed docs from package, which will be deleted anyway by docpurge
  * Added the official Info-Zip icon to the package

 -- Andrew Zabolotny <zap@homelink.ru>  Thu, 31 Jul 2008 02:31:40 +0400

## unzip 5.52-14-maemo4

=== debian/changelog ===
unzip (5.52-14-maemo4) hardy; urgency=low

  * Increased version number to force builder to re-index the package

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 09 Aug 2008 18:05:07 +0400

=== debian/control ===
Source: unzip
Section: user/tools
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
XSBC-Original-Maintainer: Daniel Martin Yerga <dyerga@gmail.com>, Danny Milosavljevic <danny.milo@gmx.net>
Standards-Version: 3.6.1
Build-Depends: sharutils

Package: unzip
Architecture: any
Depends: ${shlibs:Depends}, shared-mime-info
Conflicts: unzip-crypt (<< 5.41)
Replaces: unzip-crypt (<< 5.41)
Suggests: zip
Description: De-archiver for .zip files
 InfoZIP's unzip program. With the exception of multi-volume archives
 (ie, .ZIP files that are split across several disks using PKZIP's /& option),
 this can handle any file produced either by PKZIP, or the corresponding
 InfoZIP zip program.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaBAMAAABbZFH9AAAAAXNSR0IArs4c6QAAAB5QTFRFACEA
 AAAAIGG4Xl5efn5+gICAyOj/yMjI7Ozs+Pz4ZRPnrQAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1I
 AAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2AgHEQYDTal44QAAAKtJREFUGNNlkD0OwyAM
 Rj/GblQdoqwMkTJWvQI9QAYOkbFDhHKASh0RVaT4trUd8qd+Ew8eNgYAzLXEMqCiJVOnNAXO/HkX
 Em2OQyG+YJR4V86sYb1DFWPkW9YEoVIvQTuQczm7PuHyvQPU5pypTTDji4maQg9iyv3RbMSk1ZQq
 SmqeOkh37701OsP2sn2G7dX/E0WJzsC5PcMSpfMvAbWoYwHUg4g7HUSsqx+zI1UDZVmHoQAAAABJ
 RU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f

PKG_VERSION = 5.52
DEB_TARBALL = unzip552.tar.gz
DEB_TAR_SRCDIR = unzip-$(PKG_VERSION)
DEB_DH_INSTALL_SOURCEDIR = build-tree/$(DEB_TAR_SRCDIR)

CC = gcc
CFLAGS = -s -Wall
DEFINES = -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/dpatch.mk

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

# Damnit... dpatch.mk does not include a way to add dpatch options,
# thus we have to do a trick in order to apply patches to our subdirectory ...
export PATH := $(CURDIR)/debian:$(PATH)
debian/stamp-patched deapply-dpatches: debian/dpatch
debian/dpatch:
	echo '#!/bin/sh' >$@
	echo 'exec /usr/bin/dpatch -d $(DEB_DH_INSTALL_SOURCEDIR) $$*' >>$@
	chmod a+x $@

clean::
	rm -f debian/dpatch *.cdbs-config_list debian/stamp-*

common-build-arch common-build-indep:: debian/stamp-build
debian/stamp-build:
	cd $(DEB_DH_INSTALL_SOURCEDIR) && \
	$(MAKE) -f unix/Makefile LF2="" CC="$(CC)" \
		CF="$(CFLAGS) -I. $(DEFINES)" unzips
	touch $@

binary-post-install/unzip::
	rm -rf debian/unzip/usr/share/doc
	uudecode debian/zip-26.b64 -o debian/unzip/usr/share/icons/hicolor/26x26/mimetypes/application-zip.png
	uudecode debian/zip-48.b64 -o debian/unzip/usr/share/icons/hicolor/48x48/mimetypes/application-zip.png
	uudecode debian/zip-64.b64 -o debian/unzip/usr/share/icons/hicolor/64x64/mimetypes/application-zip.png

## unzip 5.52-14-maemo5

=== debian/changelog ===
unzip (5.52-14-maemo5) diablo; urgency=low

  * Removed dependency of shared-mime-info and libgtk2.0-bin.
    Instead, follow the Debian packaging policy - check first
    if the respective tools exist and use them only if they do.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat,  9 Aug 2008 23:46:24 +0400

## unzip 5.52-14-maemo6

=== debian/changelog ===
unzip (5.52-14-maemo6) diablo; urgency=low

  * Added the -t option to gtk-update-icon-cache since in a empty
    scratchbox installation gtk-update-icon-cache is present, but icon
    cache has not been created...

 -- Andrew Zabolotny <zap@homelink.ru>  Mon, 11 Aug 2008 23:27:59 +0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: unzip
 Architecture: any
-Depends: ${shlibs:Depends}, shared-mime-info
+Depends: ${shlibs:Depends}
 Conflicts: unzip-crypt (<< 5.41)
 Replaces: unzip-crypt (<< 5.41)
 Suggests: zip
